/// <reference types="react" />
import * as React from 'react';
import "react-select/dist/react-select.css";
export declare type SelectOption = {
    label: string;
    value: string;
    clearableValue?: boolean;
};
export declare type Props = any;
import './choicefield.scss';
export default class ChoiceField extends React.Component<Props, any> {
    constructor(p: Props);
    static createOption: (string, any?, boolean?) => SelectOption;
    static createOptionWithInfo: (label: string, value?: any, clearableValue?: boolean, disabled?: boolean, color?: string, info?: any) => {
        label: string;
        value: any;
        clearableValue: boolean;
        disabled: boolean;
        color: string;
        info: any;
    };
    render(): JSX.Element;
}
