/// <reference types="react" />
import "./dialogmodal.scss";
export interface Option {
    name: string;
    action: any;
    style?: string;
    icon?: string;
    iconLeft?: boolean;
}
export interface Dialog {
    title: string;
    message: string;
    options: Option[];
    type?: string;
}
export interface Props {
    dialog?: Dialog;
    onCancel?: any;
}
export declare const dialogBuilder: (title: string, message: string, options?: Option[], type?: string) => Dialog;
export declare const makeWarning: (message: string, onProceed: any) => Dialog;
declare const DialogModal: (p: Props) => JSX.Element;
export default DialogModal;
