"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
require("./filter.scss");
var Filter = function (p) {
    var count = p.count, disabled = p.disabled, onChange = p.onChange, children = p.children;
    return (React.createElement("div", { className: "filter-header" },
        React.createElement("span", null,
            React.createElement(react_bootstrap_1.InputGroup, null,
                React.createElement("span", { className: "input-group-addon" },
                    React.createElement("i", { className: "material-icons" }, "search")),
                React.createElement(react_bootstrap_1.FormControl, { type: "text", placeholder: "filter...", disabled: disabled ? disabled : false, onChange: onChange }))),
        count !== undefined &&
            React.createElement("span", { className: "filter-count-wrapper" },
                "Showing ",
                React.createElement(react_bootstrap_1.Label, { className: "filter-count" }, count),
                " items"),
        children &&
            React.createElement("span", { className: "filter-header-children" }, children)));
};
exports.default = Filter;
//# sourceMappingURL=filter.js.map