/// <reference types="react" />
import * as React from "react";
import "./filteredtable.scss";
export declare type Props<T> = {
    data: T[];
    columns?: any[];
    find?: (filter: string, data: T[]) => T[];
    onChange?: (e) => void;
    rowFactory?: any;
    sortInfo?: any;
    children?: any;
};
export declare type State = {
    filter?: string;
    scrollToTop?: boolean;
};
export declare function defaultFilter<T extends Object>(key: string, data: T[]): T[];
declare class FilteredTable<T> extends React.Component<Props<T>, State> {
    constructor(p: Props<T>);
    shouldComponentUpdate(props: any, state: any): boolean;
    componentWillReceiveProps(props: any): void;
    onChange: (e: any) => void;
    render(): JSX.Element;
}
export default FilteredTable;
