"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var bootstrap_1 = require("../commons/bootstrap");
require("./switch.scss");
exports.default = function (p) {
    var onChange = p.onChange, children = p.children, disabled = p.disabled, checked = p.checked, title = p.title, className = p.className;
    return (React.createElement("div", { className: "field form-group switch-wrapper " + (title && "with-title") + " " + (className && className) + " " + (disabled && 'disabled') },
        (title || children) &&
            React.createElement("span", { className: "text" },
                title && title,
                children && children),
        React.createElement(bootstrap_1.CheckBox, { className: "switch", onChange: onChange, disabled: disabled ? true : false, checked: checked },
            React.createElement("div", { className: "slider round" }))));
};
//# sourceMappingURL=switch.js.map