/// <reference types="react" />
import "./pagemenu.css";
export declare type MenuProps = {
    title: string;
    children?: any;
    className?: string;
    onClick?: any;
};
export declare const Menu: (p: MenuProps) => JSX.Element;
export declare type MenuActionProps = {
    title: string;
    icon: any;
    onClick: any;
    className?: string;
    disabled?: boolean;
    children?: any;
};
export declare const MenuAction: (p: MenuActionProps) => JSX.Element;
export declare const MenuSeparator: () => JSX.Element;
