/// <reference types="react" />
import * as React from "react";
import { User } from "../model/user";
import "./userbadge.scss";
export declare type Props = {
    user: User;
};
export declare const Badge: ({user}: Props) => JSX.Element;
export default Badge;
export declare type State = {
    loading?: boolean;
    expanded?: boolean;
};
export declare type FullProps = Props & {
    onRefresh(): Promise<any>;
};
export declare class FullBadge extends React.Component<FullProps, State> {
    constructor(props: any);
    refresh(): void;
    render(): JSX.Element;
}
