"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var bootstrap_1 = require("../commons/bootstrap");
require("./checkbox.scss");
exports.default = function (p) {
    var onChange = p.onChange, children = p.children, checked = p.checked, className = p.className, disabled = p.disabled;
    return (React.createElement("div", { className: "field form-group checkbox-wrapper" + " " + (className && className) },
        React.createElement(bootstrap_1.CheckBox, { className: "custom-checkbox", onChange: onChange, disabled: disabled, checked: checked },
            React.createElement("i", { className: "material-icons unchecked" }, "check_box_outline_blank"),
            React.createElement("i", { className: "material-icons checked" }, "check_box"),
            React.createElement("span", { className: "children" }, children))));
};
//# sourceMappingURL=checkbox.js.map