"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
var Tile = function (p) {
    var icon = p.icon, title = p.title, description = p.description, link = p.link, className = p.className;
    return (React.createElement("div", { className: "homepage-tile " + (className ? className : '') },
        React.createElement("i", { className: "material-icons md-48" }, icon),
        React.createElement("div", { className: "homepage-tile-title" }, title),
        React.createElement("div", { className: "homepage-tile-description" }, description),
        link && (React.createElement(react_bootstrap_1.Button, { className: "homepage-tile-button", onClick: link.onClick }, link.message))));
};
exports.default = Tile;
//# sourceMappingURL=hometile.js.map