import * as React from "react"
import Checkbox from 'src/components/checkbox';
import { render, mount } from 'enzyme';
import * as renderer from "react-test-renderer";
import { configure } from 'enzyme';
import * as Adapter from 'enzyme-adapter-react-15';
configure({ adapter: new Adapter() });
declare const describe, it, expect;



describe('<Checkbox />', () => {

	it('should be true = true', () => {
		expect(true).toBe(true)
	});

	it('should render the proper HTML of Code', () => {
		const wrapper = renderer.create(<Checkbox/>).toJSON();
		expect(wrapper).toMatchSnapshot()
	});

	it('should be checked if have a checked property', () => {
		const renderedComponent = mount(<Checkbox checked={true}/>);
		expect(renderedComponent.find('input').prop('checked')).toBe(true);
	});

});